Skip to main content
GET
/
polymarket
/
market
/
metrics
Get market metrics
curl --request GET \
  --url https://api.struct.to/v1/polymarket/market/metrics
[
  {
    "condition_id": "<string>",
    "timeframe": "<string>",
    "volume_usd": 123,
    "fees": 123,
    "txns": 123,
    "unique_traders": 123
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.struct.to/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

condition_id
string
required

Market condition ID

timeframe
string
required

Timeframe: single (1m, 5m, 30m, 1h, 6h, 24h, 7d, 30d, lifetime), comma-separated (1m,5m,1h), or 'all'

Response

Market metrics. Note: returns a single object for one timeframe, or an array of objects for comma-separated timeframes or 'all'.

condition_id
string
required
timeframe
string
required
volume_usd
number<double>
required
fees
number<double>
required
txns
integer<int32>
required
unique_traders
integer<int32>
required
Last modified on May 1, 2026